Server

Get all servers

GET https://www.allnodes.com/api/v1/server

This endpoint allows to get list of all your servers.

Headers

Name
Type
Description

Authorization*

string

Bearer TOKEN

{
    servers: [
        {
            id: number;
            alias: string;
            hostname: string | null;
            platform: 'epyc' | 'threadripper' | 'ryzen';
            cpu: {
                name: string;
                cores: number;
                threads: number;
                baseClockMhz: number;
                boostClockMhz: number;
                type: 'SINGLE' | 'DUAL';
            }
            motherboard: {
                name: string;
                dimmCount: number;
            }
            ram: {
                ddrVersion: 'DDR5';
                totalSizeGb: number;
                stickSizeGb: number;
                stickCount: number;
                speedMts: number;
                isECC: boolean;
            }
            ssd: [
                {
                    pcieVersion: '4.0' | '5.0';
                    sizeGb: number;
                    name: string;
                    slotType: 'M2' | 'U2'; 
                    count: number;
                }
            ]
            connectivity: {
                speedGbit: number;
            }
            traffic: {
                amountTb: number;
            }
            ipAddresses: string[];
            psu: 'SINGLE' | 'DUAL';
            powerStatus: string | null;
            ipmi: boolean;
            os: {
                name: string;
                version: string | null;
            }
            bios?: {
                model: string;
                value: string;
                serial: string;
            }
            location: {
                country: string;
                city: string;
            }
            priceMonthlyUSD: number;
            priceHourlyUSD: number;
            prepaidTill: string | null;
            createdAt: string;
            readyAt: string;
        }
    ]
}

Last updated